Jump to content
TNG Community
Brian Yare

PHPMailer end of life

Recommended Posts

Brian Yare

I have received a notification to say that 

 

" Outdated script detected on: (my web site)

This is a notification that the PHPMailer installation in /htdocs/TNG on hosting account (my account), is end of life (version 5.2.22).

End of life software is susceptible to vulnerabilities and bugs, which could result in your site being compromised.

Please ensure you obtain and install the latest updates from the software vendor as soon as possible.

Some of the scripts may be included as part of another software installation. Contact the vendor if you require further advice.

Should the installed software remain out of date we may have no option but to suspend your web hosting service."

What can I do to prevent losing my hosting service?

 

Brian

Share this post


Link to post
Share on other sites
bhemph

Brian,
    Send an email to Darrin about this.  Since he is the vendor, he could provide a patch with the new version of PHPMailer.  Contacting him directly you will be sure that he is aware of the issue and you will be kept informed of the availability of the patch.  He doesn't read all of the forum categories, so sending an email directly to him will make sure that it doesn't get missed.

Brent

Share this post


Link to post
Share on other sites
Ken Roy

I might be wrong, but I am not seeing PHPmailer as a distributed TNG file.  Is that not part of PHP, or maybe it was installed by a mod you are using.  

I do not see PHPMailer in the TNG full install zip files.  See PHPMailer

Share this post


Link to post
Share on other sites
theKiwi

Darrin is distributing PHP Mailer - it's in the file class.phpmailer.php in the TNG distribution files - Version 5 probably from around 2012. The current version is 6.0.5

Roger

Share this post


Link to post
Share on other sites
Ken Roy
6 minutes ago, theKiwi said:

Darrin is distributing PHP Mailer - it's in the file class.phpmailer.php in the TNG distribution files - Version 5 probably from around 2012. The current version is 6.0.5

Roger

Thanks Roger,

I did not recognize the name. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×